Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class SpatialSettings

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.qtcomponents.SpatialSettings

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SpatialSettings
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`SpatialSettings(int codecType, CodecComponent codec, int depth, int spatialQuality)` Construct temporal settings to set the dialog display.

Method Summary
`CodecComponent` | `getCodec()` Get the default Codec in the dialog box.
`int` | `getCodecType()` Get the default Codec type in the dialog box.
`int` | `getDepth()` Get the default depth of the pop-up menu in the dialog box.
`int` | `getSpatialQuality()` Get the default spatial quality slider in the dialog box.
`void` | `setCodec(CodecComponent codec)` Specifies the default Codec in the dialog box.
`void` | `setCodecType(int codecType)` Specifies the default Codec type in the dialog box.
`void` | `setDepth(int depth)` Specifies the default depth of the pop-up menu in the dialog box.
`void` | `setSpatialQuality(int spatialQuality)` Specifies the spatial quality slider in the dialog box.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### SpatialSettings

    public SpatialSettings(int codecType,
                           CodecComponent codec,
                           int depth,
                           int spatialQuality)

  Construct temporal settings to set the dialog display.
  Parameters:
    `codecType` -
    `codec` -
    `depth` - the pixel depth
    `spatialQuality` - the quality setting

Method Detail

### getCodecType

    public int getCodecType()

  Get the default Codec type in the dialog box.
  Returns:
    the Codec type

### setCodecType

    public void setCodecType(int codecType)

  Specifies the default Codec type in the dialog box.
  Parameters:
    `codecType` -

### getCodec

    public CodecComponent getCodec()

  Get the default Codec in the dialog box.
  Returns:
    the Codec

### setCodec

    public void setCodec(CodecComponent codec)

  Specifies the default Codec in the dialog box.
  Parameters:
    `codec` -

### getDepth

    public int getDepth()

  Get the default depth of the pop-up menu in the dialog box.
  Returns:
    the pixel depth

### setDepth

    public void setDepth(int depth)

  Specifies the default depth of the pop-up menu in the dialog box.
  Parameters:
    `depth` - the pixel depth

### getSpatialQuality

    public int getSpatialQuality()

  Get the default spatial quality slider in the dialog box.
  Returns:
    the quality setting

### setSpatialQuality

    public void setSpatialQuality(int spatialQuality)

  Specifies the spatial quality slider in the dialog box.
  Parameters:
    `spatialQuality` - the quality setting

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD